<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s1="http://www.w3.org/2000/09/xmldsig#" xmlns:tns="http://www.sukl.cz/erp/cuer" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:s0="http://www.sukl.cz/erp/common" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" targetNamespace="http://www.sukl.cz/erp/cuer" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
	  <schema xmlns="http://www.w3.org/2001/XMLSchema">
		  <import namespace="http://www.sukl.cz/erp/cuer" schemaLocation="cuer.xsd"></import>
	  </schema>  
  </wsdl:types>
  <wsdl:message name="AppPingSoapIn">
    <wsdl:part name="AppPingDotaz" element="s0:AppPingDotaz" />
  </wsdl:message>
  <wsdl:message name="AppPingSoapOut">
    <wsdl:part name="AppPingResult" element="s0:AppPingOdpoved" />
  </wsdl:message>
  <wsdl:message name="AppPingZEPSoapIn">
    <wsdl:part name="AppPingZEPDotaz" element="s0:AppPingZEPDotaz" />
  </wsdl:message>
  <wsdl:message name="AppPingZEPSoapOut">
    <wsdl:part name="AppPingZEPResult" element="s0:AppPingZEPOdpoved" />
  </wsdl:message>
  <wsdl:message name="NacistDoplatkyLimitPojistenceSoapIn">
    <wsdl:part name="NacteniDoplatkyLimitPojistenceDotaz" element="tns:NacteniDoplatkyLimitPojistenceDotaz" />
  </wsdl:message>
  <wsdl:message name="NacistDoplatkyLimitPojistenceSoapOut">
    <wsdl:part name="NacistDoplatkyLimitPojistenceResult" element="tns:NacteniDoplatkyLimitPojistenceOdpoved" />
  </wsdl:message>
  <wsdl:message name="NacistSeznamDoplatkuPojistenceSoapIn">
    <wsdl:part name="NacteniSeznamuDoplatkuPojistenceDotaz" element="tns:NacteniSeznamuDoplatkuPojistenceDotaz" />
  </wsdl:message>
  <wsdl:message name="NacistSeznamDoplatkuPojistenceSoapOut">
    <wsdl:part name="NacistSeznamDoplatkuPojistenceResult" element="tns:NacteniSeznamuDoplatkuPojistenceOdpoved" />
  </wsdl:message>
  <wsdl:message name="GetAppInfoSoapIn">
    <wsdl:part name="AppInfoDotaz" element="s0:AppInfoDotaz" />
  </wsdl:message>
  <wsdl:message name="GetAppInfoSoapOut">
    <wsdl:part name="GetAppInfoResult" element="s0:AppInfoOdpoved" />
  </wsdl:message>
  <wsdl:portType name="CuerWebServiceSoap">
    <wsdl:operation name="AppPing">
      <wsdl:input message="tns:AppPingSoapIn" />
      <wsdl:output message="tns:AppPingSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AppPingZEP">
      <wsdl:input message="tns:AppPingZEPSoapIn" />
      <wsdl:output message="tns:AppPingZEPSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="NacistDoplatkyLimitPojistence">
      <wsdl:input message="tns:NacistDoplatkyLimitPojistenceSoapIn" />
      <wsdl:output message="tns:NacistDoplatkyLimitPojistenceSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="NacistSeznamDoplatkuPojistence">
      <wsdl:input message="tns:NacistSeznamDoplatkuPojistenceSoapIn" />
      <wsdl:output message="tns:NacistSeznamDoplatkuPojistenceSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAppInfo">
      <wsdl:input message="tns:GetAppInfoSoapIn" />
      <wsdl:output message="tns:GetAppInfoSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CuerWebServiceSoap" type="tns:CuerWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="AppPing">
      <soap:operation soapAction="AppPing" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AppPingZEP">
      <soap:operation soapAction="AppPingZEP" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="NacistDoplatkyLimitPojistence">
      <soap:operation soapAction="NacistDoplatkyLimitPojistence" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="NacistSeznamDoplatkuPojistence">
      <soap:operation soapAction="NacistSeznamDoplatkuPojistence" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAppInfo">
      <soap:operation soapAction="GetAppInfo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="CuerWebServiceSoap12" type="tns:CuerWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="AppPing">
      <soap12:operation soapAction="AppPing" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AppPingZEP">
      <soap12:operation soapAction="AppPingZEP" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="NacistDoplatkyLimitPojistence">
      <soap12:operation soapAction="NacistDoplatkyLimitPojistence" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="NacistSeznamDoplatkuPojistence">
      <soap12:operation soapAction="NacistSeznamDoplatkuPojistence" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAppInfo">
      <soap12:operation soapAction="GetAppInfo" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CuerWebService">
    <wsdl:port name="CuerWebServiceSoap" binding="tns:CuerWebServiceSoap">
      <soap:address location="http://127.0.0.1:49646/Endpoints/CuerWebService.asmx" />
    </wsdl:port>
    <wsdl:port name="CuerWebServiceSoap12" binding="tns:CuerWebServiceSoap12">
      <soap12:address location="http://127.0.0.1:49646/Endpoints/CuerWebService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>